#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 tls
version:              1.5.5
visibility:           public
id:                   tls-1.5.5-2fQC2yQkHcpBdS8zCstKnZ
key:                  tls-1.5.5-2fQC2yQkHcpBdS8zCstKnZ
license:              BSD-3-Clause
copyright:            Vincent Hanquez <vincent@snarc.org>
maintainer:           Vincent Hanquez <vincent@snarc.org>
author:               Vincent Hanquez <vincent@snarc.org>
stability:            experimental
homepage:             http://github.com/vincenthz/hs-tls
synopsis:             TLS/SSL protocol native implementation (Server and Client)
description:
    Native Haskell TLS and SSL protocol implementation for server and client.

    This provides a high-level implementation of a sensitive security protocol,
    eliminating a common set of security issues through the use of the advanced
    type system, high level constructions and common Haskell features.

    Currently implement the SSL3.0, TLS1.0, TLS1.1, TLS1.2 and TLS 1.3 protocol,
    and support RSA and Ephemeral (Elliptic curve and regular) Diffie Hellman key exchanges,
    and many extensions.

    Some debug tools linked with tls, are available through the
    <http://hackage.haskell.org/package/tls-debug/>.

category:             Network
abi:                  b8f910055ee686306c484ce0f2e292bd
exposed:              True
exposed-modules:
    Network.TLS Network.TLS.Cipher Network.TLS.Compression
    Network.TLS.Extra Network.TLS.Extra.Cipher Network.TLS.Extra.FFDHE
    Network.TLS.Internal Network.TLS.QUIC

hidden-modules:
    Network.TLS.Cap Network.TLS.Struct Network.TLS.Struct13
    Network.TLS.Core Network.TLS.Context Network.TLS.Context.Internal
    Network.TLS.Credentials Network.TLS.Backend Network.TLS.Crypto
    Network.TLS.Crypto.DH Network.TLS.Crypto.IES
    Network.TLS.Crypto.Types Network.TLS.ErrT Network.TLS.Extension
    Network.TLS.Handshake Network.TLS.Handshake.Certificate
    Network.TLS.Handshake.Client Network.TLS.Handshake.Common
    Network.TLS.Handshake.Common13 Network.TLS.Handshake.Control
    Network.TLS.Handshake.Key Network.TLS.Handshake.Process
    Network.TLS.Handshake.Random Network.TLS.Handshake.Server
    Network.TLS.Handshake.Signature Network.TLS.Handshake.State
    Network.TLS.Handshake.State13 Network.TLS.Hooks Network.TLS.IO
    Network.TLS.Imports Network.TLS.KeySchedule Network.TLS.MAC
    Network.TLS.Measurement Network.TLS.Packet Network.TLS.Packet13
    Network.TLS.Parameters Network.TLS.PostHandshake Network.TLS.Record
    Network.TLS.Record.Disengage Network.TLS.Record.Engage
    Network.TLS.Record.Layer Network.TLS.Record.Reading
    Network.TLS.Record.Writing Network.TLS.Record.State
    Network.TLS.Record.Types Network.TLS.RNG Network.TLS.State
    Network.TLS.Session Network.TLS.Sending Network.TLS.Receiving
    Network.TLS.Util Network.TLS.Util.ASN1
    Network.TLS.Util.Serialization Network.TLS.Types Network.TLS.Wire
    Network.TLS.X509

import-dirs:          /usr/lib/ghc-9.0.1/site-local/tls-1.5.5
library-dirs:         /usr/lib/ghc-9.0.1/site-local/tls-1.5.5
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.1/tls-1.5.5
hs-libraries:         HStls-1.5.5-2fQC2yQkHcpBdS8zCstKnZ
depends:
    asn1-encoding-0.9.6-4hL8wR2X7UIBZ4PVTZGTp1
    asn1-types-0.3.4-JTo8OGeTNsoGijg0oR29GF
    async-2.2.3-CPBwqhOcknLBTZGzgxEVzJ base-4.15.0.0
    bytestring-0.10.12.1 cereal-0.5.8.1-8mCXAg3ZUhz3qnQL3xR8hS
    cryptonite-0.29-4GXGeU7MBxS1kRd3fVjXlU
    data-default-class-0.1.2.0-LBmwYNzg9cwLSaLiX5AQfC
    hourglass-0.2.12-GBy7mUmPL2FGVzSBztjXPV
    memory-0.16.0-CGaPOmXCTce28vOCDDnDFr mtl-2.2.2
    network-3.1.2.2-C70Fm50cmslJ7TWDPl1j2c transformers-0.5.6.2
    x509-1.7.5-1hno66DRJiBK2k8WsfCNKU
    x509-store-1.6.7-8MTa3Pko1lu65IYM6Wpqxz
    x509-validation-1.6.11-BKSSNulLeJ4M2C7RHHtxr

haddock-interfaces:   /usr/share/doc/haskell-tls/html/tls.haddock
haddock-html:         /usr/share/doc/haskell-tls/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

